IdeaPulleyDocs
GuidesAPI referenceOpenAPI
Open app
  • Introduction
Get started
  • Authentication
  • API basics
  • Errors
  • Rate limits
Endpoints
  • Fund
  • Deals
  • Memos
  • Notes
  • Decisions and outcomes
  • Contacts and reports
    • List contactsGET
    • List LP reportsGET
    • Get an LP reportGET
  • Evaluations
  • Webhooks
  • More endpoints
Guides
  • Application form
  • Webhook events
  • Claude and ChatGPT (MCP)
  • Zapier, n8n and Polytomic
Contacts and reports

Contacts and reports

Read the fund's contacts and its LP reports.

List contacts

The fund's contacts.

GEThttps://www.ideapulley.com/api/v2/contactsdeals:read

Query parameters

NameType
limit

Items per page (1-200). Default 50.

integer
cursor

The next_cursor from the previous page. Up to 200 characters.

string
updated_since

Unix seconds. Only items created or changed at or after this time.

integer

Example request

cURL
curl https://www.ideapulley.com/api/v2/contacts \
  -H "Authorization: Bearer $IDEAPULLEY_KEY"
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/contacts", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
  },
});
const data = await res.json();
Python
import os
import requests

res = requests.get(
    "https://www.ideapulley.com/api/v2/contacts",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()

Response

200 · application/json
{
  "data": [
    { … }
  ],
  "next_cursor": "eyJpZCI6NDJ9",
  "has_more": true
}

List LP reports

LP reports, newest first.

GEThttps://www.ideapulley.com/api/v2/lp-reportsreports:read

Query parameters

NameType
limit

Items per page (1-200). Default 50.

integer
cursor

The next_cursor from the previous page. Up to 200 characters.

string
updated_since

Unix seconds. Only items created or changed at or after this time.

integer

Example request

cURL
curl https://www.ideapulley.com/api/v2/lp-reports \
  -H "Authorization: Bearer $IDEAPULLEY_KEY"
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/lp-reports", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
  },
});
const data = await res.json();
Python
import os
import requests

res = requests.get(
    "https://www.ideapulley.com/api/v2/lp-reports",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()

Response

200 · application/json
{
  "data": [
    { … }
  ],
  "next_cursor": "eyJpZCI6NDJ9",
  "has_more": true
}

Get an LP report

One LP report.

GEThttps://www.ideapulley.com/api/v2/lp-reports/{id}reports:read

Path parameters

NameType
idRequired

The ID.

integer

Example request

cURL
curl https://www.ideapulley.com/api/v2/lp-reports/42 \
  -H "Authorization: Bearer $IDEAPULLEY_KEY"
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/lp-reports/42", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
  },
});
const data = await res.json();
Python
import os
import requests

res = requests.get(
    "https://www.ideapulley.com/api/v2/lp-reports/42",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()

Response

200 · application/json
{
  "data": { … }
}
IdeaPulleyDocs
GuidesAPI referenceOpenAPI
Open app
  • Introduction
Get started
  • Authentication
  • API basics
  • Errors
  • Rate limits
Endpoints
  • Fund
  • Deals
  • Memos
  • Notes
  • Decisions and outcomes
  • Contacts and reports
    • List contactsGET
    • List LP reportsGET
    • Get an LP reportGET
  • Evaluations
  • Webhooks
  • More endpoints
Guides
  • Application form
  • Webhook events
  • Claude and ChatGPT (MCP)
  • Zapier, n8n and Polytomic
Contacts and reports

Contacts and reports

Read the fund's contacts and its LP reports.

List contacts

The fund's contacts.

GEThttps://www.ideapulley.com/api/v2/contactsdeals:read

Query parameters

NameType
limit

Items per page (1-200). Default 50.

integer
cursor

The next_cursor from the previous page. Up to 200 characters.

string
updated_since

Unix seconds. Only items created or changed at or after this time.

integer

Example request

cURL
curl https://www.ideapulley.com/api/v2/contacts \
  -H "Authorization: Bearer $IDEAPULLEY_KEY"
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/contacts", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
  },
});
const data = await res.json();
Python
import os
import requests

res = requests.get(
    "https://www.ideapulley.com/api/v2/contacts",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()

Response

200 · application/json
{
  "data": [
    { … }
  ],
  "next_cursor": "eyJpZCI6NDJ9",
  "has_more": true
}

List LP reports

LP reports, newest first.

GEThttps://www.ideapulley.com/api/v2/lp-reportsreports:read

Query parameters

NameType
limit

Items per page (1-200). Default 50.

integer
cursor

The next_cursor from the previous page. Up to 200 characters.

string
updated_since

Unix seconds. Only items created or changed at or after this time.

integer

Example request

cURL
curl https://www.ideapulley.com/api/v2/lp-reports \
  -H "Authorization: Bearer $IDEAPULLEY_KEY"
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/lp-reports", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
  },
});
const data = await res.json();
Python
import os
import requests

res = requests.get(
    "https://www.ideapulley.com/api/v2/lp-reports",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()

Response

200 · application/json
{
  "data": [
    { … }
  ],
  "next_cursor": "eyJpZCI6NDJ9",
  "has_more": true
}

Get an LP report

One LP report.

GEThttps://www.ideapulley.com/api/v2/lp-reports/{id}reports:read

Path parameters

NameType
idRequired

The ID.

integer

Example request

cURL
curl https://www.ideapulley.com/api/v2/lp-reports/42 \
  -H "Authorization: Bearer $IDEAPULLEY_KEY"
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/lp-reports/42", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
  },
});
const data = await res.json();
Python
import os
import requests

res = requests.get(
    "https://www.ideapulley.com/api/v2/lp-reports/42",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()

Response

200 · application/json
{
  "data": { … }
}